Oracle Coherence for C++ API
Release 3.6.0.0
E15728-01

- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# AbstractCacheStore Class Reference

`#include <coherence/net/cache/AbstractCacheStore.hpp>`

Inherits AbstractCacheLoader, and CacheStore.

List of all members.

## Detailed Description

An abstract base class for CacheStore implementations.

Author:
  jh 2008.03.12

## Public Types
typedef spec::Handle | Handle
| AbstractCacheStore Handle definition.
typedef spec::View | View
| AbstractCacheStore View definition.
typedef spec::Holder | Holder
| AbstractCacheStore Holder definition.
## Public Member Functions
virtual void | store (Object::View vKey, Object::Holder ohValue)
  | Store the specified value under the specified key in the underlying store. This method is intended to support both key/value creation and value update for a specific key. Parameters:
  | vKey | key to store the value under
  | ohValue | value to be stored
  Exceptions:
  | UnsupportedOperationException | if this implementation or the underlying store is read-only
virtual void | storeAll (Map::View vMapEntries)
  | Store the specified values under the specified keys in the underlying store. This method is intended to support both key/value creation and value update for the specified keys. Parameters:
  | vMapEntries | a Map of any number of keys and values to store
  Exceptions:
  | UnsupportedOperationException | if this implementation or the underlying store is read-only
virtual void | erase (Object::View vKey)
  | Remove the specified key from the underlying store if present. Parameters:
  | vKey | key whose mapping is being removed from the cache
  Exceptions:
  | UnsupportedOperationException | if this implementation or the underlying store is read-only
virtual void | eraseAll (Collection::View vColKeys)
  | Remove the specified keys from the underlying store if present. Parameters:
  | vColKeys | keys whose mappings are being removed from the cache
  Exceptions:
  | UnsupportedOperationException | if this implementation or the underlying store is read-only

The documentation for this class was generated from the following file:

- coherence/net/cache/AbstractCacheStore.hpp

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.